Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161773 - Bad: "Error: IP Address not on same network as this host" when using Linux VLAN drivers
Summary: Bad: "Error: IP Address not on same network as this host" when using Linux V...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: redhat-config-cluster
Version: 3
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On: 163636
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-27 08:46 UTC by Ossi Väänänen
Modified: 2009-04-16 20:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-26 22:43:30 UTC


Attachments (Terms of Use)

Description Ossi Väänänen 2005-06-27 08:46:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050610 Firefox/1.0.4 (Debian package 1.0.4-3)

Description of problem:
We are using IBM blades to host a small cluster. The blades come with Broadcom's 5700 series network interfaces (can't remember the exact model). We can use either Broadcom's own bonding + VLAN drivers, or the ones that ship with the linux kernel. The Broadcom VLAN+bonding driveres experience a stability issue so we have to use the Linux standard drivers instead. However, using the linux drivers result in the NICs being named to bond0.4010, that is, bond0. + a VLAN ID appended to the  bond0.

Problem: RHCS uses ifconfig to list the NICs, and ifconfig only doesn't show the full NIC name if it is too long. Thus the error message "Error: IP Address not on same network as this host". Another problem with RHCS is that the regex matching the interface names from ifconfig output doesn't match a dot in the NIC name...


Version-Release number of selected component (if applicable):
redhat-config-cluster-1.0.2-2.0

How reproducible:
Always

Steps to Reproduce:
1. Use the bonding.o and 8021q.o modules on RHCS cluster members
2. Try to use one of the bond0.xxxx interfaces for the RHCS traffic, xxxx being a four-digit VLAN id
3.
  

Actual Results:  The mentioned error message

Expected Results:  The cluster should properly have had the nodes set up

Additional info:

Comment 1 Lon Hohberger 2005-07-19 19:58:13 UTC
I *think* the option to use netlink as the service IP internals would fix this
corner case as far as the back-end is concerned.



Comment 2 Rob Kenna 2008-02-26 22:43:30 UTC
At this point, this change will not be made to RHEL 3 clustering.


Note You need to log in before you can comment on or make changes to this bug.